Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSContactPhoneField Class Reference

Represents a phone number field associated with a contact. More...

`#import <CSContactPhoneField.h>`

Inherits CSContactField.

Inherited by CSEditableContactPhoneField.

## Properties
NSString * | phoneNumber
| Phone number. More...
NSString * | label1
| The phone number Label1. More...
NSString * | label2
| The phone number Label2. More...
NSString * | category
| The phone number category. More...
CSContactPhoneNumberType | type
| The phone number type, i.e work. More...
BOOL | speedDialEnabled
| The phone number speed dial flag. More...
BOOL | defaultPhoneNumber
| A Boolean value indicating whether this field respresents the default phone number. More...
BOOL | isEmpty
| Is this the default phone number for the contact? More...
Properties inherited from CSContactField
CSCapability * | writeCapability
| Write capability for particular field. More...
CSProviderSourceType | source
| Provider source type for particular field. More...

## Detailed Description

Represents a phone number field associated with a contact.

Since a given contact can have multiple phone numbers a default number must be chosen. Only one phone number can be default for a given contact.

## Property Documentation

- (NSString*) category
| read nonatomic assign

The phone number category.

Returns
  A NSString containing the category.

- (BOOL) defaultPhoneNumber
| read nonatomic assign

A Boolean value indicating whether this field respresents the default phone number.

Returns
  YES if field represents the default phone number.

- (BOOL) isEmpty
| read nonatomic assign

Is this the default phone number for the contact?

Returns
  YES if this is the default phone number in the list.

- (NSString*) label1
| read nonatomic assign

The phone number Label1.

Returns
  A NSString containing the Label1.

- (NSString*) label2
| read nonatomic assign

The phone number Label2.

Returns
  A NSString containing the Label2.

- (NSString*) phoneNumber
| read nonatomic assign

Phone number.

Returns
  A NSString containing the phone number.

- (BOOL) speedDialEnabled
| read nonatomic assign

The phone number speed dial flag.

Returns
  YES if speed dial is enabled.

- (CSContactPhoneNumberType) type
| read nonatomic assign

The phone number type, i.e work.

Returns
  The phone number type.

The documentation for this class was generated from the following file:

- CSContactPhoneField.h